Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta.strats
Class UntypedPCValueHandler

    java.lang.Object
      org.apache.openjpa.jdbc.meta.strats.AbstractValueHandler
          org.apache.openjpa.jdbc.meta.strats.UntypedPCValueHandler

All Implemented Interfaces:
  Serializable, RelationId, ValueHandler

    public class UntypedPCValueHandler

extends AbstractValueHandler
implements RelationId

Handler for unknown persistence-capable object fields that stores stringified oids.

See Also:
  Serialized Form

Constructor Summary
`UntypedPCValueHandler()`

Method Summary
`static UntypedPCValueHandler` | `getInstance()` Singleton instance.
`boolean` | `isVersionable(ValueMapping vm)` Return whether the values managed by this handler can be used in state image versioning.
`Column[]` | `map(ValueMapping vm, DBIdentifier name, ColumnIO io, boolean adapt)`
`Column[]` | `map(ValueMapping vm, String name, ColumnIO io, boolean adapt)` Deprecated.
`boolean` | `objectValueRequiresLoad(ValueMapping vm)` Return whether this handler potentially must load extra data to extract the object value from its datastore representation.
`Object` | `toDataStoreValue(ValueMapping vm, Object val, JDBCStore store)` Translate the given value to its datastore equivalent.
`Object` | `toObjectValue(ValueMapping vm, Object val, OpenJPAStateManager sm, JDBCStore store, JDBCFetchConfiguration fetch)` Translate the given datastore value into its Java equivalent.
`Object` | `toRelationDataStoreValue(OpenJPAStateManager sm, Column col)` Return the serialized value for the given related object, now that its id has been assigned.

Methods inherited from class org.apache.openjpa.jdbc.meta.strats.AbstractValueHandler
`getResultArgument, toObjectValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UntypedPCValueHandler

    public UntypedPCValueHandler()

Method Detail

### getInstance

    public static UntypedPCValueHandler getInstance()

  Singleton instance.

### map

    public Column[] map(ValueMapping vm,
                        String name,
                        ColumnIO io,
                        boolean adapt)

  Deprecated.

  Description copied from interface: `ValueHandler`
  Map the given value and return all mapped columns, or simply return an array of unmapped default columns. The columns should have at least their `Name` and `JavaType` properties set.

  Specified by:
    `map` in interface `ValueHandler`
    `name` - use as a base to form column name(s); the column names of unmapped columns will automatically be made to fit database limitations
    `io` - I/O information about mapped columns; you do not have to set this information if returning templates
    `adapt` - whether to adapt the mapping or schema

### map

    public Column[] map(ValueMapping vm,
                        DBIdentifier name,
                        ColumnIO io,
                        boolean adapt)

### isVersionable

    public boolean isVersionable(ValueMapping vm)

  Description copied from interface: `ValueHandler`
  Return whether the values managed by this handler can be used in state image versioning.

  Specified by:
    `isVersionable` in interface `ValueHandler`
  Overrides:
    `isVersionable` in class `AbstractValueHandler`

### objectValueRequiresLoad

    public boolean objectValueRequiresLoad(ValueMapping vm)

  Description copied from interface: `ValueHandler`
  Return whether this handler potentially must load extra data to extract the object value from its datastore representation.

  Specified by:
    `objectValueRequiresLoad` in interface `ValueHandler`
  Overrides:
    `objectValueRequiresLoad` in class `AbstractValueHandler`

### toDataStoreValue

    public Object toDataStoreValue(ValueMapping vm,
                                   Object val,
                                   JDBCStore store)

  Description copied from interface: `ValueHandler`
  Translate the given value to its datastore equivalent. If this value occupies multiple columns, return an object array with one element per column. For relation id columns, return the state manager the column depends on.

  Specified by:
    `toDataStoreValue` in interface `ValueHandler`
  Overrides:
    `toDataStoreValue` in class `AbstractValueHandler`

### toObjectValue

    public Object toObjectValue(ValueMapping vm,
                                Object val,
                                OpenJPAStateManager sm,
                                JDBCStore store,
                                JDBCFetchConfiguration fetch)
                         throws SQLException

  Description copied from interface: `ValueHandler`
  Translate the given datastore value into its Java equivalent. If the value occupies multiple columns, the given object will be an object array with one entry per column. This method is only called if `ValueHandler.objectValueRequiresLoad(org.apache.openjpa.jdbc.meta.ValueMapping)` returns true.

  Specified by:
    `toObjectValue` in interface `ValueHandler`
  Overrides:
    `toObjectValue` in class `AbstractValueHandler`
    `sm` - the state manager that owns the value; may be null if loading a projection
  Throws:
    `SQLException`

### toRelationDataStoreValue

    public Object toRelationDataStoreValue(OpenJPAStateManager sm,
                                           Column col)

  Description copied from interface: `RelationId`
  Return the serialized value for the given related object, now that its id has been assigned.

  Specified by:
    `toRelationDataStoreValue` in interface `RelationId`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.